package com.dtai.gwt;

/** GadgetGridBagLayout
 * @version 1.1
 * @author DTAI, Incorporated
 */
class GadgetGridBagLayoutInfo {
  int width, height;		/* number of cells horizontally, vertically */
  int startx, starty;		/* starting point for layout */
  int minWidth[];		/* largest minWidth in each column */
  int minHeight[];		/* largest minHeight in each row */
  double weightX[];		/* largest weight in each column */
  double weightY[];		/* largest weight in each row */

  GadgetGridBagLayoutInfo () {
    minWidth = new int[GadgetGridBagLayout.MAXGRIDSIZE];
    minHeight = new int[GadgetGridBagLayout.MAXGRIDSIZE];
    weightX = new double[GadgetGridBagLayout.MAXGRIDSIZE];
    weightY = new double[GadgetGridBagLayout.MAXGRIDSIZE];
  }
}
