/********************************************************************
 **  Copyright (c) 1996, 1997, 1998 DTAI, Inc. All Rights Reserved **
 ********************************************************************
 **
 **  $Id: CountryComboBox.java,v 1.2 1998/09/17 02:11:08 ccp Exp $
 **
 **  $Source: /cvs/classes/signwriting/CountryComboBox.java,v $
 **
 ********************************************************************/

package org.signwriting;

import com.dtai.gwt.ComboBoxGadget;
import java11.awt.event.ActionEvent;

public class CountryComboBox extends ComboBoxGadget {
    private boolean ofMyDoing = false;
    
    public CountryComboBox() {
        super(Countries.COUNTRIES.length);
        fill();
    }
        
    private void fill() {
        for (int i = 0; i < Countries.COUNTRIES.length; i++) {
            add(Countries.COUNTRIES[i]);
            select(Countries.USA);
        }
    }
    
    //For now we dont do anything, and we don't allow anything but USA
    //to be selected...Someday!
    //so far this class appears, but is not functional, in the 
    //DictionaryDialog and the ViewPrefsDialog classes.
    protected void processActionPerformed(ActionEvent e) {
        if (!ofMyDoing) {
    		if (e.getSource() == getButton()) {
    			notifyList();
    		}
    		else { 
    		    ofMyDoing = true;
    			select(Countries.USA);
    		}
		}
		else {
		    ofMyDoing = false;
		}
	}
    
}



